var Est44000RecalculoEstoque_Service = function(restEngine,Est44000RecalculoEstoque_Repository, maskEngine, ZhUtil) {
	this.getParamFilial = function(){
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return restEngine.post("est#/crud/paramfilial", {
            "requestType": "FilterData",
            "filter": filter
        }); 
	};

	this.recalcularEstoque = function(row){
      var mask = {
          type: "fix",
          params: {
              mask: getLocalVar('GER_CDPICTPROD')
          }
      };
	  var pfinal = Util.applyMask(row.CDPRODFIN, mask, maskEngine, ZhUtil).split('.');
	  var nvfinal = pfinal.length;
      var filterRow = Util.clone(row, ['__rightActions', '__leftActions']);
      filterRow.CDPRODFIN = row.CDPRODFIN + "zzzzzzzzzzzzzzzzzzzz";
      filterRow.CDPRODFIN = filterRow.CDPRODFIN.substring(0, 20);
	  return Est44000RecalculoEstoque_Repository.recalcularEstoque(filterRow);
	};
	
	this.saveProdutosIrregulares = function(data){
		return Est44000RecalculoEstoque_Repository.saveProdutosIrregulares(data);
	};
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Est44000RecalculoEstoque_Service', Est44000RecalculoEstoque_Service);
});